program Projekt_07;

{$APPTYPE CONSOLE}

uses
  SysUtils;

var
  i: Cardinal;
//----------------------------------------------
function Power2toN(x, y: Cardinal): Cardinal;
var
  i: Cardinal;
begin
  Result:=1;
  for i:=1 to y do
   begin
     Result:=Result*x;
   end;
end;
//---------------------------------------------
(*function Power2toN(x, y: Cardinal): Cardinal;
var
  i,z: Cardinal;
begin
  z:=1;
  for i:=1 to y do
   begin
     z:=z*x;
     Power2toN:=z;
   end;
end; *)
//---------------------------------------------
begin
  for i:=1 to 10 do
    Writeln('2^',i,'=',Power2toN(2, i));
  ReadLN;
end.

